Summary: Allow users to mount files via loopback
Name: mountloop
Version: 0.15.1
Release: 1mdk
URL: http://www.mandrakelinux.com/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Base
Requires: ssh-askpass, drakxtools, perl-MDK-Common, mount >= 2.11r-2mdk
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: XFree86-devel
Prefix: %{_prefix}

%description
Allow users to mount encrypted loopback filesystems.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat > $RPM_BUILD_ROOT/%_menudir/%name << EOF
?package(%name): needs=x11 section=Applications/Archiving/Other longtitle="Create encrypted folder" title=DrakLoop command=drakloop icon="%name.png"
EOF
mkdir -p $RPM_BUILD_ROOT%_iconsdir $RPM_BUILD_ROOT%_miconsdir $RPM_BUILD_ROOT%_liconsdir
install -m 644 mountloop-20.png $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m 644 mountloop-32.png $RPM_BUILD_ROOT%_miconsdir/%name.png
install -m 644 mountloop-48.png $RPM_BUILD_ROOT%_liconsdir/%name.png

%{find_lang} drakloop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f drakloop.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%attr(4755,root,root) %{_bindir}/encsetup
%attr(4755,root,root) %{_bindir}/mountloop
%attr(4755,root,root) %{_bindir}/umountloop
%{_bindir}/drakloop
%config(noreplace) /etc/X11/xinit.d/*
/usr/X11R6/bin/*
%_menudir/*
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%post

%update_menus

%postun

%clean_menus

%changelog
* Sun Mar 13 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.15.1-1mdk
- translation updates

* Mon Feb 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.15-1mdk
- reuse MDK::Common
- fix wrong values filled in config file (#14023)

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-1mdk
- translation updates
- fix large file support (fredl, #12015)

* Fri Feb  4 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.13-1mdk
- drakloop: o removed file column.
            o added support for on boot feature. Force to mount
	    relatively from $HOME.
- mountloop.sh: mount from $HOME.  wait even if nothing has been
  mounted to be able to unmount automatically directories mounted
  interactivelly later by drakloop.
- po updates

* Sun Oct  3 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.5-4mdk
- et, fi, fr, he, hu, sv, uk, zh_CN, da .po updates

* Fri Oct  1 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.5-3mdk
- po updates

* Thu Sep 30 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.5-2mdk
- untranslated string marked for translation
- po updates

* Mon Sep 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.5-1mdk
- po updates

* Wed Sep  8 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.12.4-1mdk
- drakloop:
  o log explanations
  o fix encoding issues with messages from the 'drakloop' domain (#11268)

* Tue Aug 31 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.12.3-1mdk
- po updates

* Wed Jul 28 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.2-1mdk
- buttons ordering fix
- new possibility to remove encrypted folder (unmounted only)

* Wed Jul 28 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.1-2mdk
- do not use output() for pipes, it doesn't work (due to ">$f")

* Wed Jul 28 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.1-1mdk
- about dialog added
- perl_checker warnings removed (Titi)
- more use of MDK::Common things like cat_, output (Titi)
- remove created directory if any of the later steps fails (during new
  encrypted folder creation)

* Wed Jul 28 2004 Robert Vojta <robert.vojta@mandrake.org> 0.12.0-1mdk
- new user interface
- possibility to add new directory, mount and unmount directories

* Thu Jul 15 2004 Robert Vojta <robert.vojta@mandrake.org> 0.11.6-1mdk
- localization added (few translations)
- default minimum password length is 3 characters
- higher security level means longer password requirement (maximum 8 chars)

* Thu Mar 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.11.5-1mdk
- use new path for ssh-askpass
- modprobe aes and cryptoloop

* Wed Jan 21 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.11.4-1mdk
- rebuild for new automatic perl dependencies

* Fri Dec  5 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.11.3-1mdk
- xwait: wait forever for events (gc)

* Thu Dec  4 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.11.2-1mdk
- added support for big files

* Tue Dec  2 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.11.1-1mdk
- don't use exit anymore because we are sourced

* Mon Dec  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.11-1mdk
- tell Xsession to wait for user input before lanching something else

* Fri Jun 13 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.10-1mdk
- allow to be run from the command line when not under X.

* Thu Apr 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.1-1mdk
- make it lib64 aware

* Wed Mar  5 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.9-1mdk
- make it works (thx to gc)

* Sat Dec 28 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- corrected unmount problem

* Tue Aug 27 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-3mdk
- install icons

* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 0.7-2mdk
- Fix icon (menu)

* Mon Jul  1 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- various changed by Pixel
- don't use strtok anymore to allow spaces in names

* Wed Jun 19 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- encsetup: change owner of the loop device before mkfs

* Thu Jun 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.5-1mdk
- graphically report errors

* Wed Jun 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4-1mdk
- added a small GUI to create encrypted folders (drakloop)

* Mon Jun 10 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.3-1mdk
- simplified the mount of non crypted filesystem by using the none
encryption type instead of parsing arguments.

* Sun Jun  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.2-1mdk
- added an X11 wrapper to mount the dirs

* Wed Jun  5 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.1-1mdk
- first version

# end of file
